Create Product - m3ter Documentation
Create Product
cURL
curl --request POST \
--url https://api.m3ter.com/organizations/{orgId}/products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"code": "<string>",
"version": 123,
"customFields": {}
}
'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/products"
payload = {
"name": "<string>",
"code": "<string>",
"version": 123,
"customFields": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch API)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', code: '<string>', version: 123, customFields: {}})
};
fetch('https://api.m3ter.com/organizations/{orgId}/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Expected Responses
200 OK
{ "id": "<string>", "version": 123, "customFields": {}, "name": "<string>", "code": "<string>", "dtCreated": "2023-11-07T05:31:56Z", "dtLastModified": "2023-11-07T05:31:56Z", "createdBy": "<string>", "lastModifiedBy": "<string>" }4XX Error
{ "message": "<string>" }5XX Error
{ "message": "<string>" }
Authorization
- Authorization:
string, header, required
m3ter supports machine to machine authentication using theclientCredentialsOAuth2 flow. TheauthorizationCodeflow controls access for human users via the m3ter Console application.
Path Parameters
- orgId:
string, required
The unique identifier (UUID) of your Organization. The Organization represents your company as a direct customer of our service.
Body
| Field | Type | Required | Description |
|---|---|---|---|
| name | string | Yes | Descriptive name for the Product providing context and information. Required string length: 1 - 200 |
| code | string | Yes | A unique short code to identify the Product. It should not contain control characters or spaces. Required string length: 1 - 80 |
| version | integer |
No | The version number of the entity. On initial Create, version is set at 1 and listed in the response. |
| customFields | object | No | User defined fields enabling you to attach custom data. The value for a custom field can be either a string or a number. |